namespace CSR.Infrastructure.Persistence.Configurations;

using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;


public class RoleConfiguration : IEntityTypeConfiguration<Role>
{
  public void Configure(EntityTypeBuilder<Role> builder)
  {
    builder.Property(u => u.Id)
           .HasColumnName("RoleId")
           .IsRequired();

    builder.Property(u => u.Name)
           .HasColumnName("RoleName")
           .IsRequired();
  }
}
